import request from '@/utils/request';

// 获取规则名称下拉
export async function getRule (data) {
	let par = new URLSearchParams(data);
  const res = await request.get(`/main/ruleinfo/page?` + par, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 获取类别信息列表
export async function getCategory (data) {
  const res = await request.post(`/main/category/getList` , data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}


// 获取实体列表分页
export async function getAssetList (data) {
  let par = new URLSearchParams(data);
  const res = await request.get(`/main/asset/page?` + par, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 巡点检计划配置新增或更新 
export async function saveOrUpdate (data) {
  const res = await request.post('/eam/planconfig/saveOrUpdate' , data );
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 获取巡点检分页数据
export async function planConfigPage (data) {
	let par = new URLSearchParams(data);
  const res = await request.get(`/eam/planconfig/page?`+ par , {} );
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 获取详情  
export async function getInfoById (id) {
  const res = await request.get(`/eam/planconfig/getById/`+ id , {} );
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 删除事项
 */
export async function removeRule(data) {
  const res = await request.delete('/eam/planconfig/delete', { data } );
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}


// // 更新或保存
// export async function saveOrUpdate (data) {
//   const res = await request.post('/main/ruleinfo/saveOrEdit', data);
//   if (res.data.code == 0) {
//     return res.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }

// // 生成编码
// export async function getCode (code) {
//   const res = await request.get(`/main/codemanage/getCode/` + code, {});
//   if (res.data.code == 0) {
//     return res.data.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }

// // 获取规则列表页
// export async function getList (data) {
// 	let par = new URLSearchParams(data);
//   const res = await request.get(`/main/ruleinfo/page?` + par, {});
//   if (res.data.code == 0) {
//     return res.data.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }

// // 获取规则详情
// export async function getDetail (id) {
//   const res = await request.get(`/main/ruleinfo/getById/` + id, {});
//   if (res.data.code == 0) {
//     return res.data.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }






